=== debian/changelog ===
opensmtpd-filter-dkimsign (0.5-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:08:32 +1100

opensmtpd-filter-dkimsign (0.5-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:31:17 +0000

opensmtpd-filter-dkimsign (0.5-2) unstable; urgency=medium

  * For reproducibility purposes, we no longer embed the build date in man
    pages
  * Update lintian overrides to match renamed tags
  * Bump standards version
  * Bump copyright year

 -- Ryan Kavanagh <rak@debian.org>  Thu, 25 Aug 2022 08:45:36 -0400

opensmtpd-filter-dkimsign (0.5-1) unstable; urgency=medium

  * Initial release (Closes: #989272)

 -- Ryan Kavanagh <rak@debian.org>  Sun, 24 Oct 2021 11:28:13 -0400
