=== debian/control ===
Source: opensmtpd-filter-dkimsign
Section: mail
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ryan Kavanagh <rak@debian.org>
Build-Depends: debhelper-compat (= 13),
               libopensmtpd-dev,
               libssl-dev,
               mandoc,
Standards-Version: 4.6.1
Homepage: http://imperialat.at/dev/filter-dkimsign/
Vcs-Browser: https://salsa.debian.org/debian/opensmtpd-filter-dkimsign
Vcs-Git: https://salsa.debian.org/debian/opensmtpd-filter-dkimsign.git

Package: opensmtpd-filter-dkimsign
Architecture: any
Depends: adduser,
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: openssl,
Description: opensmtpd filter that signs email with a dkim signature
 This OpenSMTPD filter signs emails with a DKIM signature. It supports
 the rsa and ed25519 signing algorithms.
